Docs
Browser

Browser List Events

GET/browser/sessions/{id}/events
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Path Parameters

id*string

Query Parameters

state?string

Value in

  • "PENDING"
  • "STARTING"
  • "READY"
  • "CLOSING"
  • "CLOSED"
  • "FAILED"
q?string

Match part of a session ID.

created_after?string

Sessions created at or after this ISO 8601 time.

created_before?string

Sessions created before this ISO 8601 time.

tag?string

Only sessions tagged with this metadata, as key:value.

cursor?string
limit?
Range1 <= value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/browser/sessions/string/events"
{  "data": {    "items": [      {        "created_at": "string",        "duration_ms": 0,        "error_code": "string",        "id": "string",        "input": {},        "ok": true,        "seq": 0,        "type": "string",        "url": "string"      }    ],    "next_cursor": "string"  },  "success": true}